/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/{sepaDirectDebitId}Get sepa direct debit
Returns all information for a specific sepa direct debit for a given mandate
Required permissions:
mandate.read
sepaDirectDebit.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired sepaDirectDebitIdstringrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/{sepaDirectDebitId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
ObjectId as string
numberstringrequired pattern: ^\d{4}-\d{4}$
chunknumberrequired minimum: 1
sepaMsgIdstringrequired pattern: MSG([A-Z0-9]{21})CAMPAI
executeAtstringrequired transactionsCountintegerrequired maximum: 9007199254740991
exclusiveMinimum: 0
totalAmountintegerrequired maximum: 9999999999
exclusiveMinimum: 0
totalPaidAmountintegerrequired minimum: 0
maximum: 9999999999
paidTransactionsCountintegerrequired minimum: 0
maximum: 9007199254740991
returnedTransactionsCountintegerrequired minimum: 0
maximum: 9007199254740991
submittedAtdate-time | nullrequired Additional properties are not allowed.
Additional properties are not allowed.
typestringrequired Options:
BASICB2BResponse
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"cashAccount": "000000000000000000000001",
"number": "string",
"chunk": 1,
"sepaMsgId": "string",
"executeAt": "string",
"transactionsCount": 1,
"totalAmount": 1,
"totalPaidAmount": 0,
"paidTransactionsCount": 0,
"returnedTransactionsCount": 0,
"submittedAt": "2026-06-15T22:30:00Z",
"submittedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"finApiSubmission": {
"webFormId": "string",
"paymentId": 1,
"status": "pending",
"reason": "string"
},
"type": "BASIC"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}